#include<reg52.h>
#define uint unsigned int
#define uchar unsigned char
sbit h_diola=P2^5;  //对控制点阵行选的74HC573（U10）锁存端进行位定义
sbit l_dula=P2^6;   //对控制点阵列选的74HC573（U1）锁存端进行位定义
sbit wela=P2^7;   

void main()
{	
	P0=0xff;   //关闭数码管
	wela=1;
	wela=0;  
	
	P0=0xfe;  //给点阵的13脚一个低电平
	l_dula=1;
	l_dula=0;

	P0=0x01;  //给点阵的9脚一个高电平
	h_diola=1;
	h_diola=0;

	while(1);  //程序在此停下
}